# Get company documents

### Input

User needs to provide `companyNumber` `registry` and `court`

| Attribute     | Type   | Description                                                                                                                                                                                                                        |
| ------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| companyNumber | String | The registration number of the company.                                                                                                                                                                                            |
| court         | String | The district court where the company is registered.                                                                                                                                                                                |
| registry      | String | The type of registry (e.g., VR, HRA) where the company is registered.                                                                                                                                                              |
| documentTypes | Array  | <p></p><p>Type of document to download</p><ul><li>Current hard copy printout</li><li>Chronological hard copy printout</li><li>Historical hard copy printout</li><li>List of shareholders</li><li>Articles of association</li></ul> |

### Output

| Field     | Type   | Description          |
| --------- | ------ | -------------------- |
| documents | Object | Documents associated |

**Documents**

<table><thead><tr><th width="439">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>currentHardCopyPrintout</td><td>Object</td><td>Information about the current hard copy printout.</td></tr><tr><td>chronologicalHardCopyPrintout</td><td>Object</td><td>Information about the chronological hard copy printout.</td></tr><tr><td>articlesOfAssociation</td><td>Object</td><td>Information about the articles of association.</td></tr><tr><td>listOfShareholders</td><td>Object</td><td>Information about the list of shareholders.</td></tr><tr><td>historicalHardCopyPrintout</td><td>Object</td><td>Information about the historical hard copy printout.</td></tr></tbody></table>

**Document**&#x20;

<table><thead><tr><th width="248">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>resourceId</td><td>String</td><td>The ID of the resource.</td></tr><tr><td>resourcePath</td><td>String</td><td>The path of the resource.</td></tr><tr><td>resourceName</td><td>String</td><td>The name of the resource.</td></tr></tbody></table>

```json
{
    "handelsregister": {
        "documents": {
          "currentHardCopyPrintout": {
            "resourceId": "e64291e8-e6e1-4877-a02e-648893d179e9",
            "resourcePath": "resources/64cb0ff9-9575-4899-9ff0-261a6da7637e/e64291e8-e6e1-4877-a02e-648893d179e9/RP-Kaiserslautern_HRB_3284+AD-20240409160227.pdf",
            "resourceName": "RP-Kaiserslautern_HRB_3284+AD-20240409160227.pdf"
          },
          "chronologicalHardCopyPrintout": {
            "resourceId": "b247954b-2805-44f5-a7c3-8309cec1641e",
            "resourcePath": "resources/64cb0ff9-9575-4899-9ff0-261a6da7637e/b247954b-2805-44f5-a7c3-8309cec1641e/RP-Kaiserslautern_HRB_3284+CD-20240409160228.pdf",
            "resourceName": "RP-Kaiserslautern_HRB_3284+CD-20240409160228.pdf"
          },
          "articlesOfAssociation": {
            "resourceId": "03861c7e-12b9-45a8-bcd6-b0967ca18480",
            "resourcePath": "resources/64cb0ff9-9575-4899-9ff0-261a6da7637e/03861c7e-12b9-45a8-bcd6-b0967ca18480/RP-Kaiserslautern_HRB_3284+Partnership_agreement_-_articles_-_statute_o-20240409160230.tiff",
            "resourceName": "RP-Kaiserslautern_HRB_3284+Partnership_agreement_-_articles_-_statute_o-20240409160230.tiff"
          },
          "listOfShareholders": {
            "resourceId": "87004c6f-7d2a-4723-aeab-24ac851a0a0e",
            "resourcePath": "resources/64cb0ff9-9575-4899-9ff0-261a6da7637e/87004c6f-7d2a-4723-aeab-24ac851a0a0e/RP-Kaiserslautern_HRB_3284+Partnership_agreement_-_articles_-_statute_o-20240409160230.tiff",
            "resourceName": "RP-Kaiserslautern_HRB_3284+List_of_shareholders_ _entry_in_the_register_fol-20240409155013.pdf"
          },
          "historicalHardCopyPrintout": {
            "resourceId": "06a770a1-afa2-4c4b-a9c2-99d3b45e0875",
            "resourcePath": "resources/64cb0ff9-9575-4899-9ff0-261a6da7637e/06a770a1-afa2-4c4b-a9c2-99d3b45e0875/RP-Kaiserslautern_HRB_3284+HD-20240409160228.pdf",
            "resourceName": "RP-Kaiserslautern_HRB_3284+HD-20240409160228.pdf"
          }
        }
      }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/handelsregister/company-profile/get-company-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
